Regions
=======

.. automodule:: nupic.regions

PyRegion
^^^^^^^^

.. autoclass:: nupic.bindings.regions.PyRegion.PyRegion
   :members:

AnomalyRegion
^^^^^^^^^^^^^

.. autoclass:: nupic.regions.anomaly_region.AnomalyRegion
   :members:
   :show-inheritance:

SPRegion
^^^^^^^^

.. autoclass:: nupic.regions.sp_region.SPRegion
   :members:
   :show-inheritance:

TMRegion
^^^^^^^^

.. autoclass:: nupic.regions.tm_region.TMRegion
   :members:
   :show-inheritance:

AnomalyLikelihoodRegion
^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: nupic.regions.anomaly_likelihood_region.AnomalyLikelihoodRegion
   :members:
   :show-inheritance:

KNNAnomalyClassifierRegion
^^^^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: nupic.regions.knn_anomaly_classifier_region.KNNAnomalyClassifierRegion
   :members:
   :show-inheritance:


KNNClassifierRegion
^^^^^^^^^^^^^^^^^^^

.. autoclass:: nupic.regions.knn_classifier_region.KNNClassifierRegion
   :members:
   :show-inheritance:


SDRClassifierRegion
^^^^^^^^^^^^^^^^^^^

.. autoclass:: nupic.regions.sdr_classifier_region.SDRClassifierRegion
   :members:
   :show-inheritance:
